import request from '@/utils/request'

// 查询庭院网管列表
export function listCourtyardNetworkManagement(query) {
  return request({
    url: '/gas/courtyardNetworkManagement/list',
    method: 'get',
    params: query
  })
}

// 查询庭院网管详细
export function getCourtyardNetworkManagement(id) {
  return request({
    url: '/gas/courtyardNetworkManagement/' + id,
    method: 'get'
  })
}

// 新增庭院网管
export function addCourtyardNetworkManagement(data) {
  return request({
    url: '/gas/courtyardNetworkManagement',
    method: 'post',
    data: data
  })
}

// 修改庭院网管
export function updateCourtyardNetworkManagement(data) {
  return request({
    url: '/gas/courtyardNetworkManagement',
    method: 'put',
    data: data
  })
}
export function batchReview(data) {
  return request({
    url: '/gas/courtyardNetworkManagement/batchReview',
    method: 'POST',
    data: data
  })
}
//
export function getReviewList(data) {
  return request({
    url: '/gas/courtyardNetworkManagement/reviewList',
    method: 'get',
    params: data
  })
}

// 删除庭院网管
export function delCourtyardNetworkManagement(id) {
  return request({
    url: '/gas/courtyardNetworkManagement/' + id,
    method: 'delete'
  })
}
